
-- Module Name:    wrapper - Behavioral 
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity sobel_wr is
   port( 
      clk : in std_logic;
      rst : in std_logic;
      ena :  in std_logic;
      data_out :  out std_logic_vector(15 downto 0); 
      data_in :  in std_logic_vector(7 downto 0) 
	);
end sobel_wr;

architecture Behavioral of sobel_wr is
-- CONSTANT DEFINITION
----------------------------------------------------------

-- SIGNAL DEFINITION
----------------------------------------------------------
  signal sobel_data_out : std_logic_vector(17 downto 0);
-- COMPONENTS DEFINITION--
----------------------------------------------------------
-- Definition of Ripac_EdgeDetection_HW_Detect5 interface
  component sobel_752 is
    port (
      clk : in std_logic;
      GlobalReset : in std_logic;
      GlobalEnable1 :  in std_logic;
      HW_Edge_Detector1_Sobel_V :  out std_logic_vector(8 downto 0); -- sfix9_En0
      HW_Edge_Detector1_Sobel_H :  out std_logic_vector(8 downto 0); -- sfix9_En0
      HW_Edge_Detector1_Line_2_out :  out std_logic_vector(7 downto 0); -- ufix8_En0
      HW_Edge_Detector1_Line_1_out :  out std_logic_vector(7 downto 0); -- ufix8_En0
      HW_Edge_Detector1_Data_out :  out std_logic_vector(17 downto 0); -- sfix18_En0
      HW_Edge_Detector1_Data_in :  in std_logic_vector(7 downto 0) -- ufix8_En0
    );
  end component;

begin
-- COMPONENT INSTATIATION --
-------------------------------------------------------------------------

	Inst_sobel: sobel_752 port map(
      clk => clk,
      GlobalReset => rst,
      GlobalEnable1 => ena,--data_in_valid,
      HW_Edge_Detector1_Sobel_V => open,
      HW_Edge_Detector1_Sobel_H => open,
      HW_Edge_Detector1_Line_2_out => open,
      HW_Edge_Detector1_Line_1_out => open,
      HW_Edge_Detector1_Data_out => sobel_data_out,--data_out,
      HW_Edge_Detector1_Data_in => data_in--data_in
	);
	

-- BEHAVIOARAL --
-------------------------------------------------------------------------

    
  
  
-- GLOBAR ASSERTIONS
--------------------------------------------------------------------------------
    
--  data_out <= not sobel_data_out(17 downto 2);
  data_out <= sobel_data_out(17 downto 2);
  
end Behavioral;
