-------------------------------------------------------------------------------------
-- Entity:	DX64_cicb
--
-- Project:	Uni1p
--
-- Author:	Antonin Hegar
--
-- Description:
--	Top entity of XC2V250 on DX64 v1.0
--
-- Revision:
--	$Log: DX64_cicb.vhd,v $
--	Revision 1.1  2006/05/05 17:05:50  Tony
--	Initial version.
--	Entity to test CiCb.
--	
--
-------------------------------------------------------------------------------------

-------------------------------------------------------------------------------------
-- LIBRARY
-------------------------------------------------------------------------------------
library ieee;
library unisim;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;
use work.DX64Header.all;
use work.MathLib.all;
use unisim.vcomponents.all;

-------------------------------------------------------------------------------------
-- ENTITY
-------------------------------------------------------------------------------------
entity DX64_sobel is
	port (
      clk : in std_logic;
      rst : in std_logic;
      ena :  in std_logic;
      data_out :  out std_logic_vector(15 downto 0); 
      data_in :  in std_logic_vector(7 downto 0) 	
	);
end entity DX64_sobel;


-------------------------------------------------------------------------------------
-- ENTITY
-------------------------------------------------------------------------------------
architecture Struct of DX64_sobel is  --
  -- added by insertbm
  --
  signal rst_i_bm_inst_sobel_wr_0_s2m : std_logic;
  signal ena_i_bm_inst_sobel_wr_0_s2m : std_logic;
  signal data_in_i_bm_inst_sobel_wr_0_s2m : std_logic_vector(7 downto 0);
  signal data_out_i_bm_inst_sobel_wr_0_m2s : std_logic_vector(15 downto 0);
  signal i_bm_inst_sobel_wr_0_enable : std_logic_vector(15 downto 0);



-- Definition of sobel_wr interface
  component sobel_wr is
   port( 
      clk : in std_logic;
      rst : in std_logic;
      ena :  in std_logic;
      data_out :  out std_logic_vector(15 downto 0); 
      data_in :  in std_logic_vector(7 downto 0) 
	);
  end component;
  --
  -- added by insertbm
  --
  component bm_inst_sobel_wr_0 is
  port(
    rst_in : in std_logic;
    rst_out : out std_logic;
    ena_in : in std_logic;
    ena_out : out std_logic;
    data_in_in : in std_logic_vector(7 downto 0);
    data_in_out : out std_logic_vector(7 downto 0);
    data_out_in : in std_logic_vector(15 downto 0);
    data_out_out : out std_logic_vector(15 downto 0);
    data_out_en : in std_logic_vector(15 downto 0)
  );
  end component bm_inst_sobel_wr_0;

      
begin
--
-- added by insertbm
--
i_bm_inst_sobel_wr_0_enable <= (others => '1');




	--
	-- modified by insertbm
	--
	inst_sobel_wr: sobel_wr port map(
		  clk => clk,
      rst => rst_i_bm_inst_sobel_wr_0_s2m,
      ena => ena_i_bm_inst_sobel_wr_0_s2m,
      data_out => data_out_i_bm_inst_sobel_wr_0_m2s,
      data_in => data_in_i_bm_inst_sobel_wr_0_s2m
	);
	--
	-- added by insertbm
	--
i_bm_inst_sobel_wr_0 : bm_inst_sobel_wr_0
  port map (
    rst_in => rst,
    rst_out => rst_i_bm_inst_sobel_wr_0_s2m,
    ena_in => ena,
    ena_out => ena_i_bm_inst_sobel_wr_0_s2m,
    data_in_in => data_in,
    data_in_out => data_in_i_bm_inst_sobel_wr_0_s2m,
    data_out_in => data_out_i_bm_inst_sobel_wr_0_m2s,
    data_out_out => data_out,
    data_out_en => i_bm_inst_sobel_wr_0_enable(15 downto 0)
  );

end architecture;
